# Componere\Abstract\Definition::addMethod

(Componere 2 >= 2.1.0)

Componere\Abstract\Definition::addMethod — Ajoute une méthodé

### Description

public Componere\Abstract\Definition::addMethod(string `$name`, Componere\Method `$method`): Definition

Créer ou remplace une méthode sur la définition courante.

### Liste de paramètres

`name`

  Le nom insensible à la casse d'une méthode

`method`

  Une Componere\Method non précédemment ajoutée à une autre Definition

### Valeurs de retour

The current Definition

### Exceptions

Avertissement

Lancera une RuntimeException si la Definition a été enregistrée

Avertissement

Lancera une RuntimeException si la méthode a été ajoutée à une autre Definition